#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
helper class for making a SAT frontend
Copyright (C) 2009  Jérôme Poisson (goffi@goffi.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from logging import debug, info, error
from tools.jid  import JID


class QuickContactList():

    def __init__(self):
        debug("Contact List init")
        self.jid_ids={}
    
    def replace(self, jid, name="", show="", status="", group=""):
        """add a contact to the list"""
        raise NotImplementedError
    
    def remove(self, jid):
        """remove a contact from the list"""
        raise NotImplementedError
    
    def add(self, jid, name="", show="", status="", group=""):
        """add a contact to the list"""
        raise NotImplementedError
